Subject: Re: linux-next: build failure after merge of the char-misc tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 5 May 2025 18:28:22 +1000

Hi Thomas,

On Mon, 5 May 2025 09:39:10 +0200 Thomas Weißschuh <[email-masked]> wrote:
>
> On 2025-05-05 17:14:25+1000, Stephen Rothwell wrote:
> > 
> > On Mon, 5 May 2025 16:12:15 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > @@ -1841,7 +1841,7 @@ static struct attribute *vmbus_chan_attrs[] = {
> > >  	NULL
> > >  };
> > >  
> > > -static struct bin_attribute *vmbus_chan_bin_attrs[] = {
> > > +static const struct bin_attribute *vmbus_chan_bin_attrs[] = {  
> 
> An additional "const" would be a bit better:
> 
> +static const struct bin_attribute *const vmbus_chan_bin_attrs[] = {

Added for tomorrow.

> Otherwise looks good in general.
> 
> > It occurred to me that the above patch could be applied directly to the
> > char-misc tree if vmbus_chan_bin_attrs was assigned to .bin_attrs_new
> > instead of .bin_attrs (later in the file), right?  
> 
> Yes, that would also work. It will require adaption of the future patch
> removing .bin_attrs_new again, but that shouldn't be an issue.

It would be nice since it will remove a conflict that needs to be
explained to Linus.

Thanks.

-- 
Cheers,
Stephen Rothwell